Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1787)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1788)
@@ -19,6 +19,8 @@
 ! Current revisions:
 ! -----------------
-!
-!
+! Added check for use of most_method = 'lookup' in combination with water
+! surface presribed in the land surface model. Added output of z0q.
+! Syntax layout improved.
+! 
 ! Former revisions:
 ! -----------------
@@ -397,5 +399,5 @@
 
        IF ( dt_coupling == 9999999.9_wp )  THEN
-          message_string = 'dt_coupling is not set but required for coup' // &
+          message_string = 'dt_coupling is not set but required for coup' //   &
                            'ling mode "' //  TRIM( coupling_mode ) // '"'
           CALL message( 'check_parameters', 'PA0003', 1, 2, 0, 6, 0 )
@@ -419,7 +421,7 @@
 #if ! defined( __check )
        IF ( myid == 0 ) THEN
-          CALL MPI_SEND( dt_coupling, 1, MPI_REAL, target_id, 11, comm_inter, &
+          CALL MPI_SEND( dt_coupling, 1, MPI_REAL, target_id, 11, comm_inter,  &
                          ierr )
-          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 11, comm_inter, &
+          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 11, comm_inter,       &
                          status, ierr )
        ENDIF
@@ -436,5 +438,5 @@
           IF ( myid == 0  ) THEN
              CALL MPI_SEND( dt_max, 1, MPI_REAL, target_id, 19, comm_inter, ierr )
-             CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 19, comm_inter, &
+             CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 19, comm_inter,    &
                             status, ierr )
           ENDIF   
@@ -451,5 +453,5 @@
           CALL MPI_SEND( restart_time, 1, MPI_REAL, target_id, 12, comm_inter, &
                          ierr )
-          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 12, comm_inter, &
+          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 12, comm_inter,       &
                          status, ierr )
        ENDIF 
@@ -464,7 +466,7 @@
 #if ! defined( __check )
        IF ( myid == 0 ) THEN
-          CALL MPI_SEND( dt_restart, 1, MPI_REAL, target_id, 13, comm_inter, &
+          CALL MPI_SEND( dt_restart, 1, MPI_REAL, target_id, 13, comm_inter,   &
                          ierr )
-          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 13, comm_inter, &
+          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 13, comm_inter,       &
                          status, ierr )
        ENDIF   
@@ -483,5 +485,5 @@
           CALL MPI_SEND( simulation_time_since_reference, 1, MPI_REAL, target_id, &
                          14, comm_inter, ierr )
-          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 14, comm_inter, &
+          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 14, comm_inter,       &
                          status, ierr )    
        ENDIF 
@@ -499,5 +501,5 @@
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( dx, 1, MPI_REAL, target_id, 15, comm_inter, ierr )
-          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 15, comm_inter, &
+          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 15, comm_inter,       &
                                                              status, ierr )
        ENDIF
@@ -508,6 +510,6 @@
 
           IF ( dx < remote ) THEN
-             WRITE( message_string, * ) 'coupling mode "', &
-                   TRIM( coupling_mode ),                  &
+             WRITE( message_string, * ) 'coupling mode "',                     &
+                   TRIM( coupling_mode ),                                      &
            '": dx in Atmosphere is not equal to or not larger then dx in ocean'
              CALL message( 'check_parameters', 'PA0009', 1, 2, 0, 6, 0 )
@@ -515,6 +517,6 @@
 
           IF ( (nx_a+1)*dx /= (nx_o+1)*remote )  THEN
-             WRITE( message_string, * ) 'coupling mode "', &
-                    TRIM( coupling_mode ), &
+             WRITE( message_string, * ) 'coupling mode "',                     &
+                    TRIM( coupling_mode ),                                     &
              '": Domain size in x-direction is not equal in ocean and atmosphere'
              CALL message( 'check_parameters', 'PA0010', 1, 2, 0, 6, 0 )
@@ -526,5 +528,5 @@
        IF ( myid == 0) THEN
           CALL MPI_SEND( dy, 1, MPI_REAL, target_id, 16, comm_inter, ierr )
-          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 16, comm_inter, &
+          CALL MPI_RECV( remote, 1, MPI_REAL, target_id, 16, comm_inter,       &
                          status, ierr )
        ENDIF
@@ -534,6 +536,6 @@
 
           IF ( dy < remote )  THEN
-             WRITE( message_string, * ) 'coupling mode "', &
-                    TRIM( coupling_mode ), &
+             WRITE( message_string, * ) 'coupling mode "',                     &
+                    TRIM( coupling_mode ),                                     &
                  '": dy in Atmosphere is not equal to or not larger then dy in ocean'
              CALL message( 'check_parameters', 'PA0011', 1, 2, 0, 6, 0 )
@@ -541,6 +543,6 @@
 
           IF ( (ny_a+1)*dy /= (ny_o+1)*remote )  THEN
-             WRITE( message_string, * ) 'coupling mode "', &
-                   TRIM( coupling_mode ), &
+             WRITE( message_string, * ) 'coupling mode "',                     &
+                   TRIM( coupling_mode ),                                      &
              '": Domain size in y-direction is not equal in ocean and atmosphere'
              CALL message( 'check_parameters', 'PA0012', 1, 2, 0, 6, 0 )
@@ -548,6 +550,6 @@
 
           IF ( MOD(nx_o+1,nx_a+1) /= 0 )  THEN
-             WRITE( message_string, * ) 'coupling mode "', &
-                   TRIM( coupling_mode ), &
+             WRITE( message_string, * ) 'coupling mode "',                     &
+                   TRIM( coupling_mode ),                                      &
              '": nx+1 in ocean is not divisible without remainder with nx+1 in', & 
              ' atmosphere'
@@ -556,6 +558,6 @@
 
           IF ( MOD(ny_o+1,ny_a+1) /= 0 )  THEN
-             WRITE( message_string, * ) 'coupling mode "', &
-                   TRIM( coupling_mode ), &
+             WRITE( message_string, * ) 'coupling mode "',                     &
+                   TRIM( coupling_mode ),                                      &
              '": ny+1 in ocean is not divisible without remainder with ny+1 in', & 
              ' atmosphere'
@@ -565,5 +567,5 @@
        ENDIF
 #else
-       WRITE( message_string, * ) 'coupling requires PALM to be called with', &
+       WRITE( message_string, * ) 'coupling requires PALM to be called with',  &
             ' ''mrun -K parallel'''
        CALL message( 'check_parameters', 'PA0141', 1, 2, 0, 6, 0 )
@@ -575,8 +577,8 @@
 !-- Exchange via intercommunicator
     IF ( coupling_mode == 'atmosphere_to_ocean' .AND. myid == 0 )  THEN
-       CALL MPI_SEND( humidity, 1, MPI_LOGICAL, target_id, 19, comm_inter, &
+       CALL MPI_SEND( humidity, 1, MPI_LOGICAL, target_id, 19, comm_inter,     &
                       ierr )
     ELSEIF ( coupling_mode == 'ocean_to_atmosphere' .AND. myid == 0)  THEN
-       CALL MPI_RECV( humidity_remote, 1, MPI_LOGICAL, target_id, 19, &
+       CALL MPI_RECV( humidity_remote, 1, MPI_LOGICAL, target_id, 19,          &
                       comm_inter, status, ierr )
     ENDIF
@@ -633,5 +635,5 @@
 
        CASE DEFAULT
-          message_string = 'illegal value given for loop_optimization: "' // &
+          message_string = 'illegal value given for loop_optimization: "' //   &
                            TRIM( loop_optimization ) // '"'
           CALL message( 'check_parameters', 'PA0013', 1, 2, 0, 6, 0 )
@@ -659,9 +661,9 @@
     IF ( topography /= 'flat' )  THEN
        action = ' '
-       IF ( scalar_advec /= 'pw-scheme' .AND. scalar_advec /= 'ws-scheme'     &
+       IF ( scalar_advec /= 'pw-scheme' .AND. scalar_advec /= 'ws-scheme'      &
       .AND. scalar_advec /= 'ws-scheme-mono' )  THEN
           WRITE( action, '(A,A)' )  'scalar_advec = ', scalar_advec
        ENDIF
-       IF ( momentum_advec /= 'pw-scheme' .AND. momentum_advec /= 'ws-scheme' ) &
+       IF ( momentum_advec /= 'pw-scheme' .AND. momentum_advec /= 'ws-scheme' )&
        THEN
           WRITE( action, '(A,A)' )  'momentum_advec = ', momentum_advec
@@ -686,5 +688,5 @@
        ENDIF
        IF ( action /= ' ' )  THEN
-          message_string = 'a non-flat topography does not allow ' // &
+          message_string = 'a non-flat topography does not allow ' //          &
                            TRIM( action )
           CALL message( 'check_parameters', 'PA0014', 1, 2, 0, 6, 0 )
@@ -695,15 +697,15 @@
 !--    is applicable. If this is not possible, abort.
        IF ( TRIM( topography_grid_convention ) == ' ' )  THEN
-          IF ( TRIM( topography ) /= 'single_building' .AND.  &
-               TRIM( topography ) /= 'single_street_canyon' .AND.  &
+          IF ( TRIM( topography ) /= 'single_building' .AND.                   &
+               TRIM( topography ) /= 'single_street_canyon' .AND.              &
                TRIM( topography ) /= 'read_from_file' )  THEN
 !--          The default value is not applicable here, because it is only valid
 !--          for the two standard cases 'single_building' and 'read_from_file'
 !--          defined in init_grid.
-             WRITE( message_string, * )  &
-                  'The value for "topography_grid_convention" ',  &
-                  'is not set. Its default value is & only valid for ',  &
-                  '"topography" = ''single_building'', ',  &
-                  '''single_street_canyon'' & or ''read_from_file''.',  &
+             WRITE( message_string, * )                                        &
+                  'The value for "topography_grid_convention" ',               &
+                  'is not set. Its default value is & only valid for ',        &
+                  '"topography" = ''single_building'', ',                      &
+                  '''single_street_canyon'' & or ''read_from_file''.',         &
                   ' & Choose ''cell_edge'' or ''cell_center''.'
              CALL message( 'user_check_parameters', 'PA0239', 1, 2, 0, 6, 0 )
@@ -711,5 +713,5 @@
 !--          The default value is applicable here.
 !--          Set convention according to topography.
-             IF ( TRIM( topography ) == 'single_building' .OR.  &
+             IF ( TRIM( topography ) == 'single_building' .OR.                 &
                   TRIM( topography ) == 'single_street_canyon' )  THEN
                 topography_grid_convention = 'cell_edge'
@@ -718,8 +720,8 @@
              ENDIF
           ENDIF
-       ELSEIF ( TRIM( topography_grid_convention ) /= 'cell_edge' .AND.  &
+       ELSEIF ( TRIM( topography_grid_convention ) /= 'cell_edge' .AND.        &
                 TRIM( topography_grid_convention ) /= 'cell_center' )  THEN
-          WRITE( message_string, * )  &
-               'The value for "topography_grid_convention" is ', &
+          WRITE( message_string, * )                                           &
+               'The value for "topography_grid_convention" is ',               &
                'not recognized. & Choose ''cell_edge'' or ''cell_center''.'
           CALL message( 'user_check_parameters', 'PA0240', 1, 2, 0, 6, 0 )
@@ -738,5 +740,5 @@
        ENDIF
 
-    ELSEIF ( TRIM( coupling_mode ) == 'uncoupled'  .AND.  &
+    ELSEIF ( TRIM( coupling_mode ) == 'uncoupled'  .AND.                       &
              TRIM( coupling_char ) == '_O' )  THEN
 
@@ -744,6 +746,5 @@
 !--    Check whether an (uncoupled) atmospheric run has been declared as an
 !--    ocean run (this setting is done via mrun-option -y)
-
-       message_string = 'ocean = .F. does not allow coupling_char = "' // &
+       message_string = 'ocean = .F. does not allow coupling_char = "' //      &
                         TRIM( coupling_char ) // '" set by mrun-option "-y"'
        CALL message( 'check_parameters', 'PA0317', 1, 2, 0, 6, 0 )
@@ -777,5 +778,5 @@
           gamma_mg = 1
        ELSE
-          message_string = 'unknown multigrid cycle: cycle_mg = "' // &
+          message_string = 'unknown multigrid cycle: cycle_mg = "' //          &
                            TRIM( cycle_mg ) // '"'
           CALL message( 'check_parameters', 'PA0020', 1, 2, 0, 6, 0 )
@@ -783,16 +784,16 @@
     ENDIF
 
-    IF ( fft_method /= 'singleton-algorithm'  .AND.  &
-         fft_method /= 'temperton-algorithm'  .AND.  &
-         fft_method /= 'fftw'                 .AND.  &
+    IF ( fft_method /= 'singleton-algorithm'  .AND.                            &
+         fft_method /= 'temperton-algorithm'  .AND.                            &
+         fft_method /= 'fftw'                 .AND.                            &
          fft_method /= 'system-specific' )  THEN
-       message_string = 'unknown fft-algorithm: fft_method = "' // &
+       message_string = 'unknown fft-algorithm: fft_method = "' //             &
                         TRIM( fft_method ) // '"'
        CALL message( 'check_parameters', 'PA0021', 1, 2, 0, 6, 0 )
     ENDIF
     
-    IF( momentum_advec == 'ws-scheme' .AND. & 
+    IF( momentum_advec == 'ws-scheme' .AND.                                    & 
         .NOT. call_psolver_at_all_substeps  ) THEN
-        message_string = 'psolver must be called at each RK3 substep when "'//&
+        message_string = 'psolver must be called at each RK3 substep when "'// &
                       TRIM(momentum_advec) // ' "is used for momentum_advec'
         CALL message( 'check_parameters', 'PA0344', 1, 2, 0, 6, 0 )
@@ -802,5 +803,5 @@
     IF ( momentum_advec /= 'pw-scheme'  .AND.  momentum_advec /= 'ws-scheme' ) &
     THEN
-       message_string = 'unknown advection scheme: momentum_advec = "' // &
+       message_string = 'unknown advection scheme: momentum_advec = "' //      &
                         TRIM( momentum_advec ) // '"'
        CALL message( 'check_parameters', 'PA0022', 1, 2, 0, 6, 0 )
@@ -811,5 +812,5 @@
                    timestep_scheme == 'runge-kutta-2' ) )                      &
     THEN
-       message_string = 'momentum_advec or scalar_advec = "' &
+       message_string = 'momentum_advec or scalar_advec = "'                   &
          // TRIM( momentum_advec ) // '" is not allowed with timestep_scheme = "' // &
          TRIM( timestep_scheme ) // '"'
@@ -819,5 +820,5 @@
          scalar_advec /= 'ws-scheme-mono' .AND. scalar_advec /= 'bc-scheme' )  &
     THEN
-       message_string = 'unknown advection scheme: scalar_advec = "' // &
+       message_string = 'unknown advection scheme: scalar_advec = "' //        &
                         TRIM( scalar_advec ) // '"'
        CALL message( 'check_parameters', 'PA0024', 1, 2, 0, 6, 0 )
@@ -825,5 +826,5 @@
     IF ( scalar_advec == 'bc-scheme'  .AND.  loop_optimization == 'cache' )    &
     THEN
-       message_string = 'advection_scheme scalar_advec = "' &
+       message_string = 'advection_scheme scalar_advec = "'                    &
          // TRIM( scalar_advec ) // '" not implemented for & loop_optimization = "' // &
          TRIM( loop_optimization ) // '"'
@@ -851,5 +852,5 @@
 !-- Set LOGICAL switches to enhance performance
     IF ( momentum_advec == 'ws-scheme' )       ws_scheme_mom = .TRUE.
-    IF ( scalar_advec   == 'ws-scheme' .OR.                                   &
+    IF ( scalar_advec   == 'ws-scheme' .OR.                                    &
          scalar_advec   == 'ws-scheme-mono' )  ws_scheme_sca = .TRUE.
     IF ( scalar_advec   == 'ws-scheme-mono' )  monotonic_adjustment = .TRUE.
@@ -908,19 +909,19 @@
     IF ( collision_kernel(6:9) == 'fast' )  use_kernel_tables = .TRUE.
 
-    IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.  &
+    IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.            &
          TRIM( initializing_actions ) /= 'cyclic_fill' )  THEN
 !
 !--    No restart run: several initialising actions are possible
        action = initializing_actions
-       DO WHILE ( TRIM( action ) /= '' )
+       DO  WHILE ( TRIM( action ) /= '' )
           position = INDEX( action, ' ' )
           SELECT CASE ( action(1:position-1) )
 
-             CASE ( 'set_constant_profiles', 'set_1d-model_profiles', &
+             CASE ( 'set_constant_profiles', 'set_1d-model_profiles',          &
                     'by_user', 'initialize_vortex',     'initialize_ptanom' )
                 action = action(position+1:)
 
              CASE DEFAULT
-                message_string = 'initializing_action = "' // &
+                message_string = 'initializing_action = "' //                  &
                                  TRIM( action ) // '" unkown or not allowed'
                 CALL message( 'check_parameters', 'PA0030', 1, 2, 0, 6, 0 )
@@ -930,7 +931,7 @@
     ENDIF
 
-    IF ( TRIM( initializing_actions ) == 'initialize_vortex' .AND. &
+    IF ( TRIM( initializing_actions ) == 'initialize_vortex'  .AND.            &
          conserve_volume_flow ) THEN
-         message_string = 'initializing_actions = "initialize_vortex"' // &
+         message_string = 'initializing_actions = "initialize_vortex"' //      &
                         ' ist not allowed with conserve_volume_flow = .T.'
        CALL message( 'check_parameters', 'PA0343', 1, 2, 0, 6, 0 )
@@ -938,28 +939,28 @@
 
 
-    IF ( INDEX( initializing_actions, 'set_constant_profiles' ) /= 0  .AND. &
+    IF ( INDEX( initializing_actions, 'set_constant_profiles' ) /= 0  .AND.    &
          INDEX( initializing_actions, 'set_1d-model_profiles' ) /= 0 )  THEN
-       message_string = 'initializing_actions = "set_constant_profiles"' // &
-                        ' and "set_1d-model_profiles" are not allowed ' //  &
+       message_string = 'initializing_actions = "set_constant_profiles"' //    &
+                        ' and "set_1d-model_profiles" are not allowed ' //     &
                         'simultaneously'
        CALL message( 'check_parameters', 'PA0031', 1, 2, 0, 6, 0 )
     ENDIF
 
-    IF ( INDEX( initializing_actions, 'set_constant_profiles' ) /= 0  .AND. &
+    IF ( INDEX( initializing_actions, 'set_constant_profiles' ) /= 0  .AND.    &
          INDEX( initializing_actions, 'by_user' ) /= 0 )  THEN
-       message_string = 'initializing_actions = "set_constant_profiles"' // &
+       message_string = 'initializing_actions = "set_constant_profiles"' //    &
                         ' and "by_user" are not allowed simultaneously'
        CALL message( 'check_parameters', 'PA0032', 1, 2, 0, 6, 0 )
     ENDIF
 
-    IF ( INDEX( initializing_actions, 'by_user' ) /= 0  .AND. &
+    IF ( INDEX( initializing_actions, 'by_user' ) /= 0  .AND.                  &
          INDEX( initializing_actions, 'set_1d-model_profiles' ) /= 0 )  THEN
-       message_string = 'initializing_actions = "by_user" and ' // &
+       message_string = 'initializing_actions = "by_user" and ' //             &
                         '"set_1d-model_profiles" are not allowed simultaneously'
        CALL message( 'check_parameters', 'PA0033', 1, 2, 0, 6, 0 )
     ENDIF
 
-    IF ( cloud_physics  .AND.  .NOT. humidity )  THEN
-       WRITE( message_string, * ) 'cloud_physics = ', cloud_physics, ' is ', &
+    IF ( cloud_physics  .AND.  .NOT.  humidity )  THEN
+       WRITE( message_string, * ) 'cloud_physics = ', cloud_physics, ' is ',   &
               'not allowed with humidity = ', humidity
        CALL message( 'check_parameters', 'PA0034', 1, 2, 0, 6, 0 )
@@ -967,5 +968,5 @@
 
     IF ( precipitation  .AND.  .NOT.  cloud_physics )  THEN
-       WRITE( message_string, * ) 'precipitation = ', precipitation, ' is ', &
+       WRITE( message_string, * ) 'precipitation = ', precipitation, ' is ',   &
               'not allowed with cloud_physics = ', cloud_physics
        CALL message( 'check_parameters', 'PA0035', 1, 2, 0, 6, 0 )
@@ -973,5 +974,5 @@
 
     IF ( humidity  .AND.  sloping_surface )  THEN
-       message_string = 'humidity = .TRUE. and sloping_surface = .TRUE. ' // &
+       message_string = 'humidity = .TRUE. and sloping_surface = .TRUE. ' //   &
                         'are not allowed simultaneously'
        CALL message( 'check_parameters', 'PA0036', 1, 2, 0, 6, 0 )
@@ -979,5 +980,5 @@
 
     IF ( passive_scalar  .AND.  humidity )  THEN
-       message_string = 'humidity = .TRUE. and passive_scalar = .TRUE. ' // &
+       message_string = 'humidity = .TRUE. and passive_scalar = .TRUE. ' //    &
                         'is not allowed simultaneously'
        CALL message( 'check_parameters', 'PA0038', 1, 2, 0, 6, 0 )
@@ -1032,5 +1033,5 @@
 !--    calculated from the temperature/humidity gradients in the land surface
 !--    model
-       IF ( bc_pt_b == 'neumann' .OR. bc_q_b == 'neumann' )  THEN
+       IF ( bc_pt_b == 'neumann'  .OR.  bc_q_b == 'neumann' )  THEN
           message_string = 'lsm requires setting of'//                         &
                            'bc_pt_b = "dirichlet" and '//                      &
@@ -1039,5 +1040,5 @@
        ENDIF
 
-       IF ( .NOT. constant_flux_layer )  THEN
+       IF (  .NOT.  constant_flux_layer )  THEN
           message_string = 'lsm requires '//                                   &
                            'constant_flux_layer = .T.'
@@ -1046,11 +1047,19 @@
 
        IF ( topography /= 'flat' )  THEN
-          message_string = 'lsm cannot be used ' //  & 
+          message_string = 'lsm cannot be used ' //                            & 
                            'in combination with  topography /= "flat"'
           CALL message( 'check_parameters', 'PA0415', 1, 2, 0, 6, 0 )
        ENDIF
 
+       IF ( ( veg_type == 14  .OR.  veg_type == 15 ) .AND.                       &
+              most_method == 'lookup' )  THEN
+           WRITE( message_string, * ) 'veg_type = ', veg_type, ' is not ',     &
+                                      'allowed in combination with ',          &
+                                      'most_method = ', most_method
+          CALL message( 'check_parameters', 'PA0417', 1, 2, 0, 6, 0 )
+       ENDIF
+
        IF ( veg_type == 0 )  THEN
-          IF ( SUM(root_fraction) /= 1.0_wp)  THEN
+          IF ( SUM( root_fraction ) /= 1.0_wp )  THEN
              message_string = 'veg_type = 0 (user_defined)'//                  &
                               'requires setting of root_fraction(0:3)'//       &
@@ -1059,5 +1068,5 @@
           ENDIF
  
-          IF ( min_canopy_resistance == 9999999.9_wp)  THEN
+          IF ( min_canopy_resistance == 9999999.9_wp )  THEN
              message_string = 'veg_type = 0 (user defined)'//                  &
                               'requires setting of min_canopy_resistance'//    &
@@ -1066,5 +1075,5 @@
           ENDIF
 
-          IF ( leaf_area_index == 9999999.9_wp)  THEN
+          IF ( leaf_area_index == 9999999.9_wp )  THEN
              message_string = 'veg_type = 0 (user_defined)'//                  &
                               'requires setting of leaf_area_index'//          &
@@ -1073,5 +1082,5 @@
           ENDIF
 
-          IF ( vegetation_coverage == 9999999.9_wp)  THEN
+          IF ( vegetation_coverage == 9999999.9_wp )  THEN
              message_string = 'veg_type = 0 (user_defined)'//                  &
                               'requires setting of vegetation_coverage'//      &
@@ -1087,5 +1096,5 @@
           ENDIF
 
-          IF ( lambda_surface_stable == 9999999.9_wp)  THEN
+          IF ( lambda_surface_stable == 9999999.9_wp )  THEN
              message_string = 'veg_type = 0 (user_defined)'//                  &
                               'requires setting of lambda_surface_stable'//    &
@@ -1094,5 +1103,5 @@
           ENDIF
 
-          IF ( lambda_surface_unstable == 9999999.9_wp)  THEN
+          IF ( lambda_surface_unstable == 9999999.9_wp )  THEN
              message_string = 'veg_type = 0 (user_defined)'//                  &
                               'requires setting of lambda_surface_unstable'//  &
@@ -1101,5 +1110,5 @@
           ENDIF
 
-          IF ( f_shortwave_incoming == 9999999.9_wp)  THEN
+          IF ( f_shortwave_incoming == 9999999.9_wp )  THEN
              message_string = 'veg_type = 0 (user_defined)'//                  &
                               'requires setting of f_shortwave_incoming'//     &
@@ -1108,5 +1117,5 @@
           ENDIF
 
-          IF ( z0_eb == 9999999.9_wp)  THEN
+          IF ( z0_eb == 9999999.9_wp )  THEN
              message_string = 'veg_type = 0 (user_defined)'//                  &
                               'requires setting of z0_eb'//                   &
@@ -1115,5 +1124,5 @@
           ENDIF
 
-          IF ( z0h_eb == 9999999.9_wp)  THEN
+          IF ( z0h_eb == 9999999.9_wp )  THEN
              message_string = 'veg_type = 0 (user_defined)'//                  &
                               'requires setting of z0h_eb'//                  &
@@ -1127,5 +1136,5 @@
        IF ( soil_type == 0 )  THEN
 
-          IF ( alpha_vangenuchten == 9999999.9_wp)  THEN
+          IF ( alpha_vangenuchten == 9999999.9_wp )  THEN
              message_string = 'soil_type = 0 (user_defined)'//                 &
                               'requires setting of alpha_vangenuchten'//       &
@@ -1134,5 +1143,5 @@
           ENDIF
 
-          IF ( l_vangenuchten == 9999999.9_wp)  THEN
+          IF ( l_vangenuchten == 9999999.9_wp )  THEN
              message_string = 'soil_type = 0 (user_defined)'//                 &
                               'requires setting of l_vangenuchten'//           &
@@ -1141,5 +1150,5 @@
           ENDIF
 
-          IF ( n_vangenuchten == 9999999.9_wp)  THEN
+          IF ( n_vangenuchten == 9999999.9_wp )  THEN
              message_string = 'soil_type = 0 (user_defined)'//                 &
                               'requires setting of n_vangenuchten'//           &
@@ -1148,5 +1157,5 @@
           ENDIF
 
-          IF ( hydraulic_conductivity == 9999999.9_wp)  THEN
+          IF ( hydraulic_conductivity == 9999999.9_wp )  THEN
              message_string = 'soil_type = 0 (user_defined)'//                 &
                               'requires setting of hydraulic_conductivity'//   &
@@ -1155,5 +1164,5 @@
           ENDIF
 
-          IF ( saturation_moisture == 9999999.9_wp)  THEN
+          IF ( saturation_moisture == 9999999.9_wp )  THEN
              message_string = 'soil_type = 0 (user_defined)'//                 &
                               'requires setting of saturation_moisture'//      &
@@ -1162,5 +1171,5 @@
           ENDIF
 
-          IF ( field_capacity == 9999999.9_wp)  THEN
+          IF ( field_capacity == 9999999.9_wp )  THEN
              message_string = 'soil_type = 0 (user_defined)'//                 &
                               'requires setting of field_capacity'//           &
@@ -1169,5 +1178,5 @@
           ENDIF
 
-          IF ( wilting_point == 9999999.9_wp)  THEN
+          IF ( wilting_point == 9999999.9_wp )  THEN
              message_string = 'soil_type = 0 (user_defined)'//                 &
                               'requires setting of wilting_point'//            &
@@ -1176,5 +1185,5 @@
           ENDIF
 
-          IF ( residual_moisture == 9999999.9_wp)  THEN
+          IF ( residual_moisture == 9999999.9_wp )  THEN
              message_string = 'soil_type = 0 (user_defined)'//                 &
                               'requires setting of residual_moisture'//        &
@@ -1185,5 +1194,5 @@
        ENDIF
 
-       IF ( .NOT. radiation )  THEN
+       IF (  .NOT.  radiation )  THEN
           message_string = 'lsm requires '//                                   &
                            'radiation = .T.'
@@ -1194,6 +1203,6 @@
 
     IF ( radiation )  THEN
-       IF ( radiation_scheme /= 'constant'  .AND.                              &
-            radiation_scheme /= 'clear-sky' .AND.                              &
+       IF ( radiation_scheme /= 'constant'   .AND.                             &
+            radiation_scheme /= 'clear-sky'  .AND.                             &
             radiation_scheme /= 'rrtmg' )  THEN
           message_string = 'unknown radiation_scheme = '//                     &
@@ -1215,5 +1224,5 @@
 
        ENDIF
-       IF ( albedo_type == 0 .AND. albedo == 9999999.9_wp .AND.                &
+       IF ( albedo_type == 0  .AND.  albedo == 9999999.9_wp  .AND.             &
             radiation_scheme == 'clear-sky')  THEN
           message_string = 'radiation_scheme = "clear-sky" in combination' //  & 
@@ -1222,5 +1231,5 @@
           CALL message( 'check_parameters', 'PA0410', 1, 2, 0, 6, 0 )
        ENDIF
-       IF ( albedo_type == 0 .AND. radiation_scheme == 'rrtmg' .AND.           &
+       IF ( albedo_type == 0  .AND.  radiation_scheme == 'rrtmg'  .AND.        &
           (    albedo_lw_dif == 9999999.9_wp .OR. albedo_lw_dir == 9999999.9_wp&
           .OR. albedo_sw_dif == 9999999.9_wp .OR. albedo_sw_dir == 9999999.9_wp& 
@@ -1235,5 +1244,5 @@
        ENDIF
        IF ( topography /= 'flat' )  THEN
-          message_string = 'radiation scheme cannot be used ' //  & 
+          message_string = 'radiation scheme cannot be used ' //               & 
                            'in combination with  topography /= "flat"'
           CALL message( 'check_parameters', 'PA0414', 1, 2, 0, 6, 0 )
@@ -1244,5 +1253,5 @@
                  loop_optimization == 'vector' )                               &
          .AND.  cloud_physics  .AND.  icloud_scheme == 0 )  THEN
-       message_string = 'cloud_scheme = seifert_beheng requires ' // &
+       message_string = 'cloud_scheme = seifert_beheng requires ' //           &
                         'loop_optimization = "cache" or "vector"'
        CALL message( 'check_parameters', 'PA0362', 1, 2, 0, 6, 0 )
@@ -1270,11 +1279,11 @@
        gradient = 0.0_wp
 
-       IF ( .NOT. ocean )  THEN
+       IF (  .NOT.  ocean )  THEN
 
           ug_vertical_gradient_level_ind(1) = 0
           ug(0) = ug_surface
           DO  k = 1, nzt+1
-             IF ( i < 11 ) THEN
-                IF ( ug_vertical_gradient_level(i) < zu(k)  .AND. &
+             IF ( i < 11 )  THEN
+                IF ( ug_vertical_gradient_level(i) < zu(k)  .AND.              &
                      ug_vertical_gradient_level(i) >= 0.0_wp )  THEN
                    gradient = ug_vertical_gradient(i) / 100.0_wp
@@ -1299,6 +1308,6 @@
           ug(nzt+1) = ug_surface
           DO  k = nzt, nzb, -1
-             IF ( i < 11 ) THEN
-                IF ( ug_vertical_gradient_level(i) > zu(k)  .AND. &
+             IF ( i < 11 )  THEN
+                IF ( ug_vertical_gradient_level(i) > zu(k)  .AND.              &
                      ug_vertical_gradient_level(i) <= 0.0_wp )  THEN
                    gradient = ug_vertical_gradient(i) / 100.0_wp
@@ -1334,11 +1343,11 @@
        gradient = 0.0_wp
 
-       IF ( .NOT. ocean )  THEN
+       IF (  .NOT.  ocean )  THEN
 
           vg_vertical_gradient_level_ind(1) = 0
           vg(0) = vg_surface
           DO  k = 1, nzt+1
-             IF ( i < 11 ) THEN 
-                IF ( vg_vertical_gradient_level(i) < zu(k)  .AND. &
+             IF ( i < 11 )  THEN 
+                IF ( vg_vertical_gradient_level(i) < zu(k)  .AND.              &
                      vg_vertical_gradient_level(i) >= 0.0_wp )  THEN
                    gradient = vg_vertical_gradient(i) / 100.0_wp
